#!/usr/bin/perl

# Note: export dcalchelp into dcalchelp.txt with:
# Text Qualifier: none
# Label Separator: | (use ctrl-shift 3)
# Entry Separator: #
# 
# Pipe that into:
# (echo -n '#';cat) | tr "|" "\012" | perl -e "while(<>){s/(..*)#(.*)/\1\n#\2/;print;}"
# then into this:

my($listStarted)=0;
my($body)="";
my($hdr)="";
my($index)="";
my(@record)=();

while ($data = <>) {

  if ($data =~ /^\s*\225(.*)\015$/) {
    if (!$listStarted) {
      $body .= "<UL>\n";
    }
    $body .= "<LI>$1\n";
    $listStarted = 1;
  } else {
    if ($listStarted) {
      $body .= "</UL>\n";
      $listStarted = 0;
    }
    
    if ($data =~ /^(.*)\015/) {
      $data="$1<P>\n";
    }

    if ($data =~ /^([0-9\.]+)$/) {
      $index = $1;
      push @record, {
		     HEADER => $hdr,
		     BODY   => $body,
		     INDEX  => $index,
		    };
      $hdr = "";
      $body = "";
      $index = "";

    } elsif ($data =~ /^#(.+)$/ ) {
	     $hdr = $1;
    } else {
      $body .= $data;
    }
  }
}

for my $record (@record) {
  print "_H1($record->{HEADER})\n";
  print "$record->{BODY}\n";
}
